- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDImage Class Reference
[COLLADA Effect Classes [ColladaFX]]

A COLLADA image. More...

`#include <FCDImage.h>`

Inheritance diagram for FCDImage:

List of all members.

## Public Member Functions
| DeclareFlag (Video, 0)
| Flags this image as a video stream.
| DeclareFlagCount (1)
| FCDImage (FCDocument *document)
| Constructor: do not use directly.
virtual | ~FCDImage ()
| Destructor.
virtual Type | GetType () const
| Retrieves the entity type for this class.
const fstring & | GetFilename () const
| Retrieves the filename of the image file.
void | SetFilename (const fstring &_filename)
| Sets the filename of the image file.
const uint32 & | GetWidth () const
| Retrieves the width of the image.
void | SetWidth (uint32 _width)
| Sets the width of the image.
const uint32 & | GetHeight () const
| Retrieves the height of the image.
void | SetHeight (uint32 _height)
| Sets the height of the image.
const uint32 & | GetDepth () const
| Retrieves the depth of the 3D image.
void | SetDepth (uint32 _depth)
| Sets the depth of the 3D image.
virtual FCDEntity * | Clone (FCDEntity *clone=NULL, bool cloneChildren=false) const
| Copies the image entity into a clone.

## Detailed Description

A COLLADA image.

A COLLADA image encapsulates an image file and are contained within the image library. FCollada doesn't support inlined image bits.

An image is solely defined by its filename. For some image types and optionally, the width, height and depth of the image may be required and valid.

## Constructor & Destructor Documentation

FCDImage::FCDImage | ( | FCDocument * | document | ) |

  | Constructor: do not use directly. Instead, use the FCDLibrary::AddEntity function. Parameters:
  | document | The COLLADA document that owns the image.

## Member Function Documentation

virtual FCDEntity* FCDImage::Clone | ( | FCDEntity * | clone = `NULL`,
|  | bool | cloneChildren = `false`
| ) | const`[virtual]`

  | Copies the image entity into a clone. The clone may reside in another document. Parameters:
  | clone | The empty clone. If this pointer is NULL, a new image will be created and you will need to release the returned pointer manually.
  | cloneChildren | Whether to recursively clone this entity's children.
Returns: The clone. Reimplemented from FCDEntity.

const uint32& FCDImage::GetDepth | ( |  | ) | const`[inline]`

| Retrieves the depth of the 3D image. This parameter is optional for texture image files. Returns: The depth of the image. This value will be zero to indicate that you should retrieve the depth of the image from the image file.

const fstring& FCDImage::GetFilename | ( |  | ) | const`[inline]`

| Retrieves the filename of the image file. This is the image file that you should load when attempting to use the image bits. FCollada will deal with the filename internally and provide an absolute filename. Returns: The filename of the image file.

const uint32& FCDImage::GetHeight | ( |  | ) | const`[inline]`

| Retrieves the height of the image. This parameter is useful for off-screen render targets and is optional for texture image files. Returns: The height of the image. This value will be zero to indicate that you should retrieve the height of the image from the image file.

virtual Type FCDImage::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity type for this class. This function is part of the FCDEntity class interface. Returns: The entity type: IMAGE. Reimplemented from FCDEntity.

const uint32& FCDImage::GetWidth | ( |  | ) | const`[inline]`

| Retrieves the width of the image. This parameter is useful for off-screen render targets and is optional for texture image files. Returns: The width of the image. This value will be zero to indicate that you should retrieve the width of the image from the image file.

void FCDImage::SetDepth | ( | uint32 | _depth | ) | `[inline]`

  | Sets the depth of the 3D image. This parameter is optional for texture image files. Parameters:
  | _depth | The depth of the image. This value can be zero to indicate that you should retrieve the depth of the image from the image file.

void FCDImage::SetFilename | ( | const fstring & | _filename | ) |

  | Sets the filename of the image file. This is the image file that you should load when attempting to use the image bits. FCollada will deal with the filename internally and export a relative filename. Parameters:
  | _filename | The filename of the image file.

void FCDImage::SetHeight | ( | uint32 | _height | ) | `[inline]`

  | Sets the height of the image. This parameter is useful for off-screen render targets and is optional for texture image files. Parameters:
  | _height | The height of the image. This value can be zero to indicate that you should retrieve the width of the image from the image file.

void FCDImage::SetWidth | ( | uint32 | _width | ) | `[inline]`

  | Sets the width of the image. This parameter is useful for off-screen render targets and is optional for texture image files. Parameters:
  | _width | The width of the image. This value can be zero to indicate that you should retrieve the width of the image from the image file.

The documentation for this class was generated from the following file:

- FCDocument/FCDImage.h